=== debian/changelog ===
libgit2 (1.8.2~rc1+ds2-1ubuntu2) plucky; urgency=medium

  * Keep vendored llhttp on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 22:16:59 +0100

libgit2 (1.8.2~rc1+ds2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 22:08:02 +0100

libgit2 (1.8.2~rc1+ds2-1) unstable; urgency=medium

  * Keep vendored llhttp for ports architectures
  * New upstream version 1.8.2~rc1+ds2
  * Update d/copyright
  * Use vendored llhttp on architectures without nodejs (Closes: #1084223)

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Oct 2024 22:45:48 +0200

libgit2 (1.8.2~rc1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:02:23 +0200

libgit2 (1.8.2~rc1+ds-1) experimental; urgency=medium

  * New upstream version 1.8.2~rc1+ds
    - Revert premature const correctness change to
      git_commit_create() and git_commit_create_buffer()

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 09:52:48 +0200

libgit2 (1.8.1+ds-2) experimental; urgency=medium

  * Fix version ordering for -rc releases in d/watch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.0
  * Move back to http-parser from llhttp (Closes: #1081534)

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Sep 2024 16:04:48 +0200

libgit2 (1.8.1+ds-1) experimental; urgency=medium

  * Update Files-Excluded for newly vendored HTTP parser
  * New upstream version 1.8.1+ds
  * Update patches
    - Drop handle-bashim.patch (merged upstream)
  * Bump SONAME to 1.8
  * Migrate from http-parser to llhttp

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 11:21:07 +0200
