=== debian/changelog ===
libgit2 (1.8.4+ds-3~bpo12+1) bookworm-backports; urgency=medium

  * rebuild on buildds.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 21 Jan 2025 00:31:55 +0300

libgit2 (1.8.4+ds-3~bpo12+1~bin) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (needed for rust).
  * Add myself to uploaders.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 19 Jan 2025 16:57:19 +0300

libgit2 (1.8.4+ds-3) unstable; urgency=medium

  * Use mbedTLS default cipher list for TLS handshake (Closes: #1088281)

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Nov 2024 23:26:26 +0100

libgit2 (1.8.4+ds-2) unstable; urgency=medium

  * Bump cmake_minimum_required() for autopkgtest (Closes: #1087860)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 11:46:53 +0100

libgit2 (1.8.4+ds-1) unstable; urgency=medium

  * Unvendor llhttp again
  * New upstream version 1.8.4+ds
  * Print the file header on GIT_DIFF_FORMAT_PATCH_HEADER (Closes: #1086494)
  * Move back to http-parser again

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Nov 2024 01:47:58 +0100
