=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Pirate Praveen <praveen@debian.org>,
  Mohammed Bilal <mdbilal@disroot.org>,
  Timo Röhling <roehling@debian.org>,
+ Michael Tokarev <mjt@tls.msk.ru>,
 Build-Depends:
  ca-certificates,
  cmake,
  debhelper-compat (= 13),
  libkrb5-dev,
- libllhttp-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64],
- libssl-dev,
+ libhttp-parser-dev,
+ libmbedtls-dev,
  libpcre2-dev,
  libssh2-1-dev,
  pkgconf,
@@ -30,8 +31,8 @@
 Multi-Arch: same
 Depends:
  libgit2-1.8 (= ${binary:Version}),
- libllhttp-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64],
- libssl-dev,
+ libhttp-parser-dev,
+ libmbedtls-dev,
  libpcre2-dev,
  libssh2-1-dev,
  zlib1g-dev,
