## libgit2 1.9.0~ds

=== debian/changelog ===
libgit2 (1.9.0~ds-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 04 Jan 2025 22:54:01 -0600

libgit2 (1.8.4+ds-3ubuntu2) plucky; urgency=medium

  [ Zixing Liu ]
  * d/copyright: re-add llhttp for vendoring
  * deps/llhttp: re-vendors llhttp v9.2.1
  * d/rules,control: use vendored llhttp and writes llhttp vendor tag
    (LP: #2080872)

  [ Simon Quigley ]
  * Add use-vendored-llhttp.patch to satisfy dpkg-source.

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 16 Dec 2024 11:50:41 -0700

libgit2 (1.8.4+ds-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2024 22:35:00 +0100

libgit2 (1.8.4+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2024 12:59:02 +0100
