=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Uploaders:
  Pirate Praveen <praveen@debian.org>,
  Mohammed Bilal <mdbilal@disroot.org>,
  Timo Röhling <roehling@debian.org>,
- Michael Tokarev <mjt@tls.msk.ru>,
 Build-Depends:
  ca-certificates,
  cmake,
  debhelper-compat (= 13),
  libkrb5-dev,
  libhttp-parser-dev,
- libmbedtls-dev,
+ libssl-dev,
  libpcre2-dev,
  libssh2-1-dev,
  pkgconf,
@@ -30,9 +30,9 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgit2-1.8 (= ${binary:Version}),
+ libgit2-1.9 (= ${binary:Version}),
  libhttp-parser-dev,
- libmbedtls-dev,
+ libssl-dev,
  libpcre2-dev,
  libssh2-1-dev,
  zlib1g-dev,
@@ -44,7 +44,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-1.8
+Package: libgit2-1.9
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -52,6 +52,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Static-Built-Using: ${misc:Static-Built-Using}
+Built-Using: ${misc:Built-Using}
 Description: low-level Git library
  libgit2 is a portable, pure C implementation of the Git
  distributed version control system core methods provided as a
