## libgit2 1.9.0%2Bds

=== debian/tests/control ===
Test-Command: cmake debian/tests;make;./libgit2_test
Depends:
 cmake,
 g++,
 gcc,
 @,
