## libgit2 1.9.0+ds

=== debian/changelog ===
libgit2 (1.9.0+ds-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - d/copyright: re-add llhttp for vendoring
    - deps/llhttp: re-vendors llhttp v9.2.1
    - d/rules,control: use vendored llhttp and writes llhttp vendor tag
      (LP: #2080872)
    - Add use-vendored-llhttp.patch to satisfy dpkg-source.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 11:35:09 -0600

libgit2 (1.9.0+ds-1) experimental; urgency=medium

  * New upstream version 1.9.0+ds
    (Closes: #1092215)
  * Drop Debian patch for mbedTLS default cipher list (fixed upstream)
  * Wrap and sort Debian package files
  * Bump SONAME to 1.9
  * Install new CMake config
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Jan 2025 00:39:53 +0100
