=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Mohammed Bilal <mdbilal@disroot.org>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  ca-certificates,
  cmake,
- debhelper-compat (= 13),
+ libhttp-parser-dev,
  libkrb5-dev,
- libhttp-parser-dev,
  libssl-dev,
  libpcre2-dev,
  libssh2-1-dev,
