=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/architecture.mk
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-
-ARCH_WITH_LLHTTP = amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 ppc64
 
 BUILD_TESTS = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 COMMON_CMAKE_FLAGS = \
@@ -25,20 +20,15 @@
 	-DREGEX_BACKEND=pcre2 \
 	-DUSE_GSSAPI=ON \
 	-DUSE_HTTPS=OpenSSL \
+	-DUSE_HTTP_PARSER=builtin \
 	-DUSE_NTLMCLIENT=OFF \
 	-DUSE_SSH=ON
 
-ifneq (,$(filter $(ARCH_WITH_LLHTTP),$(DEB_HOST_ARCH)))
-COMMON_CMAKE_FLAGS += \
-	-DUSE_HTTP_PARSER=llhttp
-endif
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_APPEND = -O2
-endif
-
 # The stat() in the Git fs layer has some issues
 export GITTEST_FLAKY_STAT = true
+
+# Added by Ubuntu: get vendored llhttp version
+LLHTTP_VERSION := $(shell echo 'LLHTTP_VERSION_MAJOR . LLHTTP_VERSION_MINOR . LLHTTP_VERSION_PATCH' | $(CC) -E -include deps/llhttp/llhttp.h - | tail -n1 | sed 's|\s||g')
 
 %:
 	dh $@ --buildsystem=cmake
@@ -56,11 +46,9 @@
 	dh_auto_build --builddirectory=build-debian-release
 
 override_dh_auto_install:
+	echo 'misc:Static-Built-Using=llhttp (= $(LLHTTP_VERSION))' >> debian/libgit2-1.8.substvars
 	dh_auto_install --builddirectory=build-debian-devel
 	dh_auto_install --builddirectory=build-debian-release
-
-execute_after_dh_auto_install:
-
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build-debian-devel
